# $Revision: 1.27 $, $Date: 2012/02/11 09:01:46 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Imager
%define		pnam	Imager
Summary:	Imager - Perl extension for generating images
Summary(pl.UTF-8):	Imager - rozszerzenie Perla do generowania obrazków
Name:		perl-Imager
Version:	0.87
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Imager/%{pnam}-%{version}.tar.gz
# Source0-md5:	fa4c46df54277c211829d5472502a23b
URL:		http://www.develop-help.com/imager/
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	giflib-devel >= 4.1.0-4
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Imager is a module for creating and altering images. It can read and
write various image formats, draw primitive shapes like lines, and
polygons, blend multiple images together in various ways, scale, crop,
render text and more.

%description -l pl.UTF-8
Imager to moduł do tworzenia i modyfikowania obrazków. Potrafi czytać
i zapisywać różne formaty obrazków, rysować proste kształty takie jak
linie i wielokąty, mieszać wiele obrazków razem na różne sposoby,
skalować, obcinać, nanosić tekst itd.

%prep
%setup -q -n %{pnam}-%{version}

%build
# manual configuration: we want freetype2 enabled and freetype1 disabled
# y/n for: win32, ft1, t1lib, ft2, tiff, png, ungif, jpeg, gif
IM_MANUAL=y \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor <<EOF

n
n
n
y
y
y
n
y
y
EOF

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Imager

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Imager/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Imager.pm
%{perl_vendorarch}/Imager
%dir %{perl_vendorarch}/auto/Imager
%{perl_vendorarch}/auto/Imager/Imager.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Imager.so
%dir %{perl_vendorarch}/auto/Imager/CountColor
%{perl_vendorarch}/auto/Imager/CountColor/CountColor.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/CountColor/CountColor.so
%dir %{perl_vendorarch}/auto/Imager/File
%dir %{perl_vendorarch}/auto/Imager/File/GIF
%{perl_vendorarch}/auto/Imager/File/GIF/GIF.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/GIF/GIF.so
%dir %{perl_vendorarch}/auto/Imager/File/ICO
%{perl_vendorarch}/auto/Imager/File/ICO/ICO.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/ICO/ICO.so
%dir %{perl_vendorarch}/auto/Imager/File/JPEG
%{perl_vendorarch}/auto/Imager/File/JPEG/JPEG.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/JPEG/JPEG.so
%dir %{perl_vendorarch}/auto/Imager/File/PNG
%{perl_vendorarch}/auto/Imager/File/PNG/PNG.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/PNG/PNG.so
%dir %{perl_vendorarch}/auto/Imager/File/SGI
%{perl_vendorarch}/auto/Imager/File/SGI/SGI.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/SGI/SGI.so
%dir %{perl_vendorarch}/auto/Imager/File/TIFF
%{perl_vendorarch}/auto/Imager/File/TIFF/TIFF.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/TIFF/TIFF.so
%dir %{perl_vendorarch}/auto/Imager/Filter
%dir %{perl_vendorarch}/auto/Imager/Filter/DynTest
%{perl_vendorarch}/auto/Imager/Filter/DynTest/DynTest.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Filter/DynTest/DynTest.so
%dir %{perl_vendorarch}/auto/Imager/Filter/Flines
%{perl_vendorarch}/auto/Imager/Filter/Flines/Flines.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Filter/Flines/Flines.so
%dir %{perl_vendorarch}/auto/Imager/Filter/Mandelbrot
%{perl_vendorarch}/auto/Imager/Filter/Mandelbrot/Mandelbrot.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Filter/Mandelbrot/Mandelbrot.so
%dir %{perl_vendorarch}/auto/Imager/Font
%dir %{perl_vendorarch}/auto/Imager/Font/FT2
%{perl_vendorarch}/auto/Imager/Font/FT2/FT2.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Font/FT2/FT2.so
%dir %{perl_vendorlib}/Imager
%{_mandir}/man3/Imager*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Imager.spec,v $
Revision 1.27  2012/02/11 09:01:46  adamg
- release 2 (rebuild against libpng-1.5)

Revision 1.26  2012/01/15 21:26:42  zbyniu
- up to 0.87

Revision 1.25  2012/01/13 14:50:22  arekm
- release 5

Revision 1.24  2011/12/20 19:37:25  arekm
- release 4

Revision 1.23  2010/06/06 08:37:57  arekm
- release 3

Revision 1.22  2010/02/06 21:10:15  arekm
- release 2

Revision 1.21  2009/11/27 11:28:47  amateja
- updated to 0.71

Revision 1.20  2009/10/20 12:31:58  amateja
- updated to 0.70

Revision 1.19  2009/08/26 08:40:38  amateja
- upgrade 0.67

Revision 1.18  2009/07/12 13:27:36  arekm
- release 4

Revision 1.17  2008/03/02 21:15:58  radek
- release 3

Revision 1.16  2008-02-25 22:47:51  qboosh
- package Imager::File::SGI module

Revision 1.15  2008-02-10 12:12:21  arekm
- rel 2

Revision 1.14  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.13  2007-12-24 02:16:23  zbyniu
- up to 0.62

Revision 1.12  2007-04-26 21:50:47  qboosh
- updated to 0.56 (fixes CVE-2006-0053)
- removed obsolete tiff patch

Revision 1.11  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:37  baggins
- converted to UTF-8

Revision 1.9  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.8  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.7  2004/11/03 22:30:28  paladine
- formatting

Revision 1.6  2004/05/06 18:43:13  ankry
- fixed perl-devel BR

Revision 1.5  2004/04/22 12:52:35  ankry
- license fixes & unification

Revision 1.4  2004/03/06 19:30:50  adamg
- updated to 0.43

Revision 1.3  2004/01/24 22:24:15  arekm
- autoupdated to 0.42

Revision 1.2  2003/10/25 18:25:12  qboosh
- added dir for noarch Imager::* modules

Revision 1.1  2003/10/25 18:16:28  qboosh
- new
